<div class="tag-management">
  <h2 class="pb-2 header">
    <span id="tag-management-page-heading"
      jhiTranslate="{{isBlock ? 'tagManagement.home.blockTitle' :'tagManagement.home.title'}}">Tag management</span>

    <button class="btn btn-primary float-right jh-create-entity" (click)="openModified()">
      <span jhiTranslate="tagManagement.home.createButton" [translateValues]="{type: tagType}">Create Tag</span>
    </button>
  </h2>
  <div class="row text-center">
    <div class="col-12">
      <div class="alert alert-secondary" role="alert" *ngIf="tags && tags.length === 0">
        <span jhiTranslate="global.dataEmpty"> tags are empty! </span>
      </div>
    </div>
  </div>
  <div class="table-responsive border-table" *ngIf="tags">
    <table class="table table-striped mb-0" aria-describedby="tag-management-page-heading">
      <thead class="thead-light">
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="name"><span
              jhiTranslate="{{isBlock ? 'tagManagement.tag.blockName': 'tagManagement.tag.name'}}">Name</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="search" *ngIf="!isBlock"><span
              jhiTranslate="tagManagement.tag.search">search</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"><span
              jhiTranslate="{{isBlock ? 'tagManagement.tag.blockCategories': 'tagManagement.tag.tagCategories'}}">tagCategories</span>
          </th>
          <th scope="col">
            <div jhiTranslate="{{isBlock ? 'tagManagement.home.changeToTag' : 'tagManagement.home.changeToBlock'}}"
              class="text-center text-uppercase">changeToBlock</div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody *ngIf="tags">
        <tr *ngFor="let tag of tags;">
          <td>{{ tag.id }}</td>
          <td>{{ tag.name }}</td>
          <td *ngIf="!isBlock">{{ tag.search }}</td>
          <td>
            <p class="text-truncate categories" ngbTooltip="{{renderCategories(tag.categories)}}">
              {{renderCategories(tag.categories)}}</p>
          </td>
          <td>
            <div class="row justify-content-center">
              <button class="btn btn-secondary" (click)="openConfirmChangeType(tag.id, tag.name)">
                <span jhiTranslate="tagManagement.home.changeToButton"></span>
              </button>
            </div>

          </td>
          <td class="text-right">
            <div class="btn-group">
              <button ngbTooltip="{{'entity.action.edit' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openModified(tag)">
                <i class="bi bi-pencil"></i>
              </button>
              <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openDelete(tag.id, tag.name)">
                <i class="bi bi-trash"></i>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="tags" class="pt-5 d-flex justify-content-end mr-0">
    <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage">
    </jhi-item-count>
    <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3"
      [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
  </div>
</div>